Bug 14760 - Disabled courses display in the course reserves list for items
Summary: Disabled courses display in the course reserves list for items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-31 13:35 UTC by Kyle M Hall
Modified: 2016-06-21 21:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14760 - Disabled courses display in the course reserves list for items (2.88 KB, patch)
2015-08-31 13:38 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed-off] Bug 14760 - Disabled courses display in the course reserves list for items (3.07 KB, patch)
2015-09-03 14:12 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14760 - Disabled courses display in the course reserves list for items (3.12 KB, patch)
2015-09-03 15:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-08-31 13:35:33 UTC
If an item is on reserve for two courses but one of those courses is disabled, both courses are still listed on opac-detail.pl!
Comment 1 Kyle M Hall 2015-08-31 13:38:38 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-09-03 14:12:35 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-09-03 15:41:15 UTC
Created attachment 42347 [details] [review]
Bug 14760 - Disabled courses display in the course reserves list for items

If an item is on reserve for two courses but one of those courses is
disabled, both courses are still listed on opac-detail.pl!

Test Plan:
1) Enable course reserves
2) Create two courses
3) Place one item on reserve for both courses
4) Disable one of the two courses
5) View the record details for that record/item
6) You should see both courses listed in the course reserves column
7) Apply this patch
8) Reload the page
9) You should now only see the active course in the course reseves column

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2015-09-03 15:41:44 UTC
Note that this already works at the intranet.
Comment 5 Tomás Cohen Arazi 2015-09-07 15:14:01 UTC
Patch pushed to master.

Thanks Kyle!
Comment 6 Chris Cormack 2015-09-22 16:55:04 UTC
Pushed to 3.20.x will be in 3.20.4